=== src/CMakeLists.txt ===
add_subdirectory(libboardgame_sys)
add_subdirectory(libboardgame_util)
add_subdirectory(libboardgame_sgf)
add_subdirectory(libboardgame_base)
add_subdirectory(libpentobi_base)
if(PENTOBI_BUILD_GUI OR PENTOBI_BUILD_GTP)
    add_subdirectory(libboardgame_mcts)
    add_subdirectory(libpentobi_mcts)
endif()
if(PENTOBI_BUILD_GTP)
    add_subdirectory(libboardgame_gtp)
    add_subdirectory(pentobi_gtp)
    if(HAVE_UNISTD_H AND NOT WIN32)
        add_subdirectory(twogtp)
    else()
        message(STATUS "Not building twogtp, needs POSIX")
    endif()
    add_subdirectory(learn_tool)
endif()
if(PENTOBI_BUILD_GUI OR PENTOBI_BUILD_THUMBNAILER)
    add_subdirectory(libpentobi_paint)
endif()
if(PENTOBI_BUILD_GUI)
    add_subdirectory(convert)
    add_subdirectory(pentobi)
endif()
if(PENTOBI_BUILD_TESTS)
    add_subdirectory(libboardgame_test)
    add_subdirectory(unittest)
endif()
if(PENTOBI_BUILD_THUMBNAILER)
    add_subdirectory(libpentobi_thumbnail)
    add_subdirectory(pentobi_thumbnailer)
endif()
if(PENTOBI_BUILD_KDE_THUMBNAILER)
    add_subdirectory(libpentobi_kde_thumbnailer)
    add_subdirectory(pentobi_kde_thumbnailer)
endif()
