=== debian/changelog ===
pentobi (17.1-1) unstable; urgency=medium

  * New upstream release. Upload to unstable as the freeze is over.
  * Add new build-dependencies: appstream, docbook-xsl, gettext, itstool,
    librsvg2-bin, xsltproc.
  * d/rules: PENTOBI_BUILD_TESTS was renamed to BUILD_TESTING.
  * d/*.install: thumbnailer metainfo file was removed upstream.
  * d/pentobi.docs: NEWS was renamed to NEWS.md.
  * Bump Standards-Version to 4.4.0. No changes needed.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Sun, 07 Jul 2019 20:41:44 +0300

pentobi (16.3-1) experimental; urgency=medium

  * New upstream release.
    - QtQuickCompiler was disabled to avoid the need for recompilation
      for different versions of Qt (LP: #1824560).

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Tue, 23 Apr 2019 11:14:26 +0300
