=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 		-DCMAKE_INSTALL_DATADIR=/usr/share/games \
 		-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
 		-DPENTOBI_BUILD_KDE_THUMBNAILER=ON \
-		-DPENTOBI_BUILD_TESTS=ON
+		-DBUILD_TESTING=ON
 
 # dh_makeshlibs not needed, the KDE thumbnailer .so file is a plugin.
 override_dh_makeshlibs:
