## pentobi 17.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.1.0)
 
 project(Pentobi)
-set(PENTOBI_VERSION 17.1)
-set(PENTOBI_RELEASE_DATE 2019-06-12)
+set(PENTOBI_VERSION 17.3)
+set(PENTOBI_RELEASE_DATE 2019-11-05)
 
 cmake_policy(SET CMP0043 NEW)
 cmake_policy(SET CMP0071 NEW)
@@ -15,6 +15,8 @@
 option(PENTOBI_BUILD_KDE_THUMBNAILER "Build KDE thumbnailer" OFF)
 option(PENTOBI_OPEN_HELP_EXTERNALLY "Force using web browser for displaying help" OFF)
 option(BUILD_TESTING "Build tests" OFF)
+
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 
 if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
   message(STATUS "No build type selected, default to Release")
