=== pentobi/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 qt5_add_translation(pentobi_QM
     qml/i18n/qml_de.ts
+    qml/i18n/qml_es.ts
     qml/i18n/qml_fr.ts
     qml/i18n/qml_nb_NO.ts
     qml/i18n/qml_zh_CN.ts
@@ -75,8 +76,10 @@
     target_link_libraries(pentobi Qt5::WebView)
 else()
     if(NOT Qt5WebView_FOUND AND NOT PENTOBI_OPEN_HELP_EXTERNALLY)
-        message(WARNING
-            "Qt5WebView not found, setting PENTOBI_OPEN_HELP_EXTERNALLY")
+        message(FATAL_ERROR
+            "Qt5WebView not found. Install Qt5WebView or set"
+            " PENTOBI_OPEN_HELP_EXTERNALLY to make Pentobi use an external"
+            " browser for displaying help.")
     endif()
     target_compile_definitions(pentobi PRIVATE PENTOBI_OPEN_HELP_EXTERNALLY)
 endif()
