=== pentobi/docbook/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 find_package(Gettext 0.18 REQUIRED)
+find_package(DocBookXSL REQUIRED)
 find_program(ITSTOOL itstool)
 if(NOT ITSTOOL)
     message(FATAL_ERROR "itstool not found")
@@ -6,15 +7,6 @@
 find_program(XSLTPROC xsltproc)
 if(NOT XSLTPROC)
     message(FATAL_ERROR "xsltproc not found")
-endif()
-find_path(DOCBOOK_XSL html/chunk.xsl
-    HINTS /usr/share/xml/docbook/stylesheet/docbook-xsl
-    /usr/local/share/xml/docbook/stylesheet/docbook-xsl
-    /usr/share/xsl/docbook /usr/local/share/xsl/docbook
-    /usr/share/xml/docbook/stylesheet/nwalsh/current
-    )
-if(NOT DOCBOOK_XSL)
-    message(FATAL_ERROR "docbook-xsl not found")
 endif()
 
 file(READ "${CMAKE_CURRENT_SOURCE_DIR}/po/LINGUAS" linguas)
@@ -59,7 +51,7 @@
         DEPENDS index.docbook ${lang}.mo
         )
     add_custom_command(OUTPUT "help/${lang}/pentobi/index.html"
-        COMMAND "${XSLTPROC}" --nonet --novalid --path "${DOCBOOK_XSL}/html"
+        COMMAND "${XSLTPROC}" --nonet --novalid --path "${DOCBOOKXSL_DIR}/html"
         --stringparam l10n.gentext.language ${lang}
         -o "help/${lang}/pentobi/" "${CMAKE_CURRENT_SOURCE_DIR}/custom.xsl"
         index_${lang}.docbook
@@ -68,7 +60,7 @@
 endforeach()
 
 add_custom_command(OUTPUT "help/C/pentobi/index.html"
-    COMMAND "${XSLTPROC}" --nonet --novalid --path "${DOCBOOK_XSL}/html"
+    COMMAND "${XSLTPROC}" --nonet --novalid --path "${DOCBOOKXSL_DIR}/html"
     -o "help/C/pentobi/" "${CMAKE_CURRENT_SOURCE_DIR}/custom.xsl"
     "${CMAKE_CURRENT_SOURCE_DIR}/index.docbook"
     COMMAND ${CMAKE_COMMAND} -E copy
