=== debian/changelog ===
pentobi (17.3-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:41 +0100

pentobi (17.3-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: Build system now requires us to specify a cmake flag on
    architectures that do not have Qt WebView.
  * Bump Standards-Version to 4.4.1. No changes needed.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Sun, 15 Dec 2019 16:33:54 +0200
