=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                qttools5-dev-tools,
                xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://pentobi.sourceforge.io
 Vcs-Git: https://salsa.debian.org/games-team/pentobi.git
 Vcs-Browser: https://salsa.debian.org/games-team/pentobi
